Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.synchronization.spi
Interface SynchronizationCallbackCoordinator

All Superinterfaces:
  Synchronization

All Known Implementing Classes:
  SynchronizationCallbackCoordinatorImpl

    public interface SynchronizationCallbackCoordinator

extends Synchronization

Method Summary
`void` | `setAfterCompletionAction(AfterCompletionAction afterCompletionAction)`
`void` | `setExceptionMapper(ExceptionMapper exceptionMapper)`
`void` | `setManagedFlushChecker(ManagedFlushChecker managedFlushChecker)`

Methods inherited from interface javax.transaction.Synchronization
`afterCompletion, beforeCompletion`

Method Detail

### setManagedFlushChecker

    void setManagedFlushChecker(ManagedFlushChecker managedFlushChecker)

### setAfterCompletionAction

    void setAfterCompletionAction(AfterCompletionAction afterCompletionAction)

### setExceptionMapper

    void setExceptionMapper(ExceptionMapper exceptionMapper)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.